NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.MoldCsysBuilder Class Reference

Mold Wizard MoldCsys project builder More...

Inheritance diagram for NXOpen.Tooling.MoldCsysBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Wcsposition { CurrentWcs, ProductBodyCenter, BoundaryFaceCenter }
 Represents the method to computer the WCS positino More...
 

Public Member Functions

unsafe void CancelMoldCsys ()
 Cancels mold csys dialog. More...
 
unsafe void DestroyMoldCsys ()
 Destroys Mold Csys dialog. More...
 
unsafe void Initialize ()
 Initializing mold csys settig. More...
 
unsafe void OpenOriginalProdPartQuietly (bool displayMessage, out NXOpen.NXObject prodPart, out NXOpen.NXObject prodBody)
 Asks original product part and body tag from product assembly part attribute. More...
 
unsafe void UpdateSelectedCsys (NXOpen.CoordinateSystem csysTag)
 Updates selected csys. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool Lockx [get, set]
 Returns or sets the product doesn't move along X to the new position of WCS if lockx is true More...
 
unsafe bool Locky [get, set]
 Returns or sets the product doesn't move along Y to the new position of WCS if locky is true More...
 
unsafe bool Lockz [get, set]
 Returns or sets the product doesn't move along Z to the new position of WCS if lockz is true More...
 
unsafe NXOpen.SelectFaceList Prod [get]
 Returns the selected faces are used to create a bounding box whose center will be the new origin of WCS More...
 
unsafe
NXOpen.Tooling.MoldCsysBuilder.Wcsposition 
Wcstype [get, set]
 Returns or sets the wcs type to decide the method to get csys position More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Mold Wizard MoldCsys project builder

To create a new instance of this class, use NXOpen.Tooling.MoldCsysCollection.CreateMoldCsysBuilder

Default values.

Property Value

Lockx

0

Locky

0

Lockz

1

Wcstype

CurrentWcs

Created in NX6.0.0

Member Enumeration Documentation

Represents the method to computer the WCS positino

Enumerator
CurrentWcs 

current wcs position

ProductBodyCenter 

product body center position

BoundaryFaceCenter 

boundary face center position

Member Function Documentation

unsafe void NXOpen.Tooling.MoldCsysBuilder.CancelMoldCsys ( )
inline

Cancels mold csys dialog.

It will be called while CANCEL button clicked

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.MoldCsysBuilder.DestroyMoldCsys ( )
inline

Destroys Mold Csys dialog.

It is called while CANCEL or OK button clicked.

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.MoldCsysBuilder.Initialize ( )
inline

Initializing mold csys settig.

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.MoldCsysBuilder.OpenOriginalProdPartQuietly ( bool  displayMessage,
out NXOpen.NXObject  prodPart,
out NXOpen.NXObject  prodBody 
)
inline

Asks original product part and body tag from product assembly part attribute.

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
displayMessage
prodPart
prodBody
unsafe void NXOpen.Tooling.MoldCsysBuilder.UpdateSelectedCsys ( NXOpen.CoordinateSystem  csysTag)
inline

Updates selected csys.

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
csysTag

Property Documentation

unsafe bool NXOpen.Tooling.MoldCsysBuilder.Lockx
getset

Returns or sets the product doesn't move along X to the new position of WCS if lockx is true

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.MoldCsysBuilder.Locky
getset

Returns or sets the product doesn't move along Y to the new position of WCS if locky is true

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.MoldCsysBuilder.Lockz
getset

Returns or sets the product doesn't move along Z to the new position of WCS if lockz is true

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectFaceList NXOpen.Tooling.MoldCsysBuilder.Prod
get

Returns the selected faces are used to create a bounding box whose center will be the new origin of WCS

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Tooling.MoldCsysBuilder.Wcsposition NXOpen.Tooling.MoldCsysBuilder.Wcstype
getset

Returns or sets the wcs type to decide the method to get csys position

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.